Skip to main content
POST
/
jito
Jito Block Engine sendBundle (with landing confirmation)
curl --request POST \
  --url https://api.lpagent.io/open-api/v1/jito \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "jsonrpc": "2.0",
  "method": "sendBundle",
  "params": [
    "<unknown>"
  ],
  "id": 123
}
'
import requests

url = "https://api.lpagent.io/open-api/v1/jito"

payload = {
"jsonrpc": "2.0",
"method": "sendBundle",
"params": ["<unknown>"],
"id": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', method: 'sendBundle', params: ['<unknown>'], id: 123})
};

fetch('https://api.lpagent.io/open-api/v1/jito', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 123,
  "result": {
    "bundleId": "<string>",
    "signature": "<string>"
  }
}
{
"jsonrpc": "2.0",
"id": 123,
"error": {
"code": 123,
"message": "<string>",
"data": "<unknown>"
}
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

region
enum<string>
default:mainnet

Jito block engine region

Available options:
mainnet,
amsterdam,
frankfurt,
ny,
tokyo

Body

application/json
jsonrpc
enum<string>
required
Available options:
2.0
method
enum<string>
required
Available options:
sendBundle
params
any[]
required

[transactions[] (1-5 base58/base64 encoded txs), options? ({ encoding: 'base58' | 'base64' })]

Required array length: 1 - 2 elements
id

Request id, echoed back in the response

Response

Success — JSON-RPC envelope with result set to the bundle landing details.

jsonrpc
string
Example:

"2.0"

id
result
object

Bundle landing details